Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoUF< A1, R > Class Template Reference

Basic Unary Functor. More...

`#include <eoFunctor.h>`

Inheritance diagram for eoUF< A1, R >:

List of all members.

## Public Member Functions
virtual | ~eoUF ()
| virtual dtor here so there is no need to define it in derived classes
virtual R | operator() (A1)=0
| The pure virtual function that needs to be implemented by the subclass.
## Static Public Member Functions
eoFunctorBase::unary_function_tag | functor_category ()
| tag to identify a procedure in compile time function selection functor_category

## Detailed Description

### template<class A1, class R>
class eoUF< A1, R >

Basic Unary Functor.

Derive from this class when defining any unary function. First template argument is the first_argument_type, second result_type. Argument and result types can be any type including void for result_type

Definition at line 108 of file eoFunctor.h.

The documentation for this class was generated from the following file:

- eoFunctor.h